Skip to content

Your data / Rosters

POST
https://ba.joexyz.online/api/v1/me/rosters

Creates a roster and returns it.

Authentication

Bearer Token — send Authorization: Bearer <token>. Inherited from folder "Your data".

Headers

NameValue
Content-Typeapplication/json

Bodyapplication/json

{
  "name": "Joe",
  "introduction": "Hello.\n\n**Note:** This isn't my full roster. Let me know if there's anyone in particular that you're looking for.",
  "accountLevel": 90,
  "studentRepId": "kei",
  "visibility": "public",
  "gameServer": "EU",
  "friendCode": "KQZRTVMW"
}
curl -X POST https://ba.joexyz.online/api/v1/me/rosters \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {{api_key}}' \
  --data-raw '{
  "name": "Joe",
  "introduction": "Hello.\n\n**Note:** This isn'\''t my full roster. Let me know if there'\''s anyone in particular that you'\''re looking for.",
  "accountLevel": 90,
  "studentRepId": "kei",
  "visibility": "public",
  "gameServer": "EU",
  "friendCode": "KQZRTVMW"
}'
Response
{
  "data": {
    "id": "k17fp61xb5wqf8f6ge798sa1t17sg20f",
    "createdAt": "2025-10-15T00:22:23.815Z",
    "name": "Joe",
    "accountLevel": 90,
    "friendCode": "KQZRTVMW",
    "gameServer": "EU",
    "introduction": "Hello.\n\n**Note:** This isn't my full roster. Let me know if there's anyone in particular that you're looking for.",
    "lastUpdated": 1783978245235,
    "studentRepId": "kei",
    "students": [],
    "visibility": "public"
  }
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc